oyIcon_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Fields
oyIcon_s Struct Reference
Backend Modules

Icon data. More...

`#include <oyCMM_s.h>`

Inheritance diagram for oyIcon_s:
Collaboration diagram for oyIcon_s:

## Data Fields
oyOBJECT_e | type
oyStruct_Copy_f | copy
oyStruct_Release_f | release
oyPointer | dummy
int | width
int | height
const uint8_t * | data
const char * | file_list
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Additional Inherited Members
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Detailed Description

Icon data.

Since: 0.1.8

Examples:
  oyranos_cmm_oJPG.c.

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyIcon_s::copy

copy function

## ◆ data

const uint8_t* oyIcon_s::data

RGBA should be sRGB matched

## ◆ dummy

oyPointer oyIcon_s::dummy

keep to zero

## ◆ file_list

const char* oyIcon_s::file_list

colon ':' delimited list of icon file names, SVG, PNG

## ◆ height

int oyIcon_s::height

height of data

## ◆ release

oyStruct_Release_f oyIcon_s::release

release function

## ◆ type

oyOBJECT_e oyIcon_s::type

struct type oyOBJECT_ICON_S

## ◆ width

int oyIcon_s::width

width of data